[Pkg-puppet-devel] Bug#460203: puppet: init script does not work correctly

Bart Cortooms bart at kumina.nl
Fri Jan 11 09:56:55 UTC 2008

Package: puppet
Version: 0.24.1-1
Severity: normal

The init script for Puppet gets the pid file from /var/run/puppet, while
a default Puppet install stores the pid file in /var/lib/puppet/run
('$vardir/run').  Because of this a "/etc/init.d/puppet stop" does not

Adding rundir=/var/run/puppet to /etc/puppet/puppet.conf fixes this:


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-xen-amd64
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages puppet depends on:
ii  adduser                3.102             Add and remove users and groups
ii  facter                 1.3.8-1           a library for retrieving facts fro
ii  libopenssl-ruby        1.0.0+ruby1.8.2-1 OpenSSL interface for Ruby
ii  libshadow-ruby1.8      1.4.1-7           Interface of shadow password for R
ii  libxmlrpc-ruby         1.8.2-1           XML-RPC support for Ruby
ii  lsb-base               3.1-23.2etch1     Linux Standard Base 3.1 init scrip
ii  ruby                   1.8.2-1           An interpreter of object-oriented 

Versions of packages puppet recommends:
ii  rdoc                          1.8.2-1    Generate documentation from ruby s

-- no debconf information

More information about the Pkg-puppet-devel mailing list